OGRE: Ogre::ResourceBackgroundQueue::Listener Class Reference - OGRE Documentation

# Ogre::ResourceBackgroundQueue::Listener Class Reference

This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses. More...

`#include <OgreResourceBackgroundQueue.h>`

List of all members.

## Public Member Functions
virtual void | operationCompleted (BackgroundProcessTicket ticket, const BackgroundProcessResult &result)=0
| Called when a requested operation completes, queued into main thread.
virtual void | operationCompletedInThread (BackgroundProcessTicket ticket, const BackgroundProcessResult &result)
| Called when a requested operation completes, immediate in background thread.
virtual | ~Listener ()
| Need virtual destructor in case subclasses use it.

## Detailed Description

This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses.

Note:
  For simplicity, these callbacks are not issued direct from the background loading thread, they are queued themselves to be sent from the main thread so that you don't have to be concerned about thread safety.

Definition at line 99 of file OgreResourceBackgroundQueue.h.

## Constructor & Destructor Documentation

virtual Ogre::ResourceBackgroundQueue::Listener::~Listener | ( |  | ) | `[virtual]`

Need virtual destructor in case subclasses use it.

Definition at line 119 of file OgreResourceBackgroundQueue.h.

## Member Function Documentation

virtual void Ogre::ResourceBackgroundQueue::Listener::operationCompleted | ( | BackgroundProcessTicket | ticket,
|  | const BackgroundProcessResult & | result |
| ) |  |  | `[pure virtual]`

Called when a requested operation completes, queued into main thread.

Note:
  For simplicity, this callback is not issued direct from the background loading thread, it is queued to be sent from the main thread so that you don't have to be concerned about thread safety.

virtual void Ogre::ResourceBackgroundQueue::Listener::operationCompletedInThread | ( | BackgroundProcessTicket | ticket,
|  | const BackgroundProcessResult & | result |
| ) |  |  | `[virtual]`

Called when a requested operation completes, immediate in background thread.

Note:
  This is the advanced version of the background operation notification, it happens immediately when the background operation is completed, and your callback is executed in the background thread. Therefore if you use this version, you have to be aware of thread safety issues and what you can and cannot do in your callback implementation.

Definition at line 117 of file OgreResourceBackgroundQueue.h.

The documentation for this class was generated from the following file:

- OgreResourceBackgroundQueue.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:35:43 2009